<script>
	import SVG from "@/components/svg.svelte"

	import Burger from "./Burger.svelte"
	import Menu from "./menu.svelte"
	import Socials from "@/components/socials.svelte"
	import Phone from "./phone.svelte"
	import ThemeSwitcher from "./ThemeSwitcher.svelte"
	import Locale from "./locale.svelte"

	import { active } from "@/stores/filter"
	import { l } from "@/i18n"
	import { isTablet, isPhone } from "@/stores/responsiveness"
	import { aside, isLight } from "@/stores/static"
	import { page } from "$app/stores"
</script>

<template lang="pug">
header.header.no-print( 
	class:active-filter!='{$active && ($isPhone || $isTablet)}'
	class:dark='{!$isLight}' )
	.container.is-flex
		.header-brand.is-flex.is-align-items-center.is-justify-content-flex-end
			a.icon( href!='{$l("")}' ): SVG
			+if('$isPhone || $isTablet'): ThemeSwitcher
			+if('$page?.data?.isMobile')
				a.phone( href="tel:+971 52 730 5581" ) +971 52 730 5581
			+if('$isPhone || $isTablet')
				Burger
		.header-body.is-flex-grow-1(
			class:is-flex!='{!$isPhone && !$isTablet}'
			class:expanded!='{($isTablet || $isPhone) && $aside}')
			Menu
			Socials
			Phone
			+if('!$isPhone && !$isTablet'): ThemeSwitcher
			Locale
</template>

<style lang="scss">
.header {
	background: $dark;
	height: 3rem;
	position: relative;
	transition: background .2s ease-in-out;

	&.dark {
		background: $gray-black;
	}

	&.active-filter {
		z-index: 1;
	}
	&-brand {
		padding-left: .5rem;
		:global(svg) {
			width: auto;
			pointer-events: none;
		}
		@include max_tablet {
			width: 100%;
			padding: .75rem 1.5rem;
		}
		.phone {
			font-size: .875rem;
			color: $primary;
			margin-right: .5rem;
		}
		:global(.switcher-wrap) {
			margin-right: auto;
			margin-left: .5rem;
		}
	}
	&-body {
		@include min_tablet {
			margin-left: 3.578rem;
		}
		@include max_tablet {
			display: grid;
			grid-template-columns: 1fr 1fr;
			grid-template-rows: auto 5rem 3rem 10rem;
			width: 100%;
			height: calc(100vh - 3rem);
			background: $dark;
			position: fixed;
			top: 3rem;
			right: 100%;
			transition: right .2s ease-in-out;
			&.expanded {
				right: 0;
			}

			:global(.menu),
			:global(.phone) {
    		grid-column-end: span 2;
			}

			:global(.menu),
			:global(.phone),
			:global(.socials) {
				grid-column-start: 1;
			}

			:global(.socials),
			:global(.locale) {
				grid-row-start: 2;
				grid-row-end: 2;
			}

			:global(.socials) {
				grid-column-end: 1;
				align-items: flex-start!important;
				width: 100%;
				padding-top: .5rem;
			}

			:global(.phone) {
				grid-row-start: 3;
				grid-row-end: 3;
				margin: 0 1.5rem;
			}
			
			:global(.locale) {
				align-items: flex-start!important;
			}
		}
	}
}

.container {
	max-width: 1280px;
	width: 100%;
	height: 100%;
	margin: 0 auto;
}
</style>